#### D.15.22.2 sagbiByDegree

Procedure from library `sagbiNormaliz0.lib` (see sagbiNormaliz0_lib).

Usage:
  sagbiByDegree(ideal Q, int sagbiDegreeBound [,int sorting, int verb]);

Return:
  RETURN: An ideal whose generators form the Sagbi basis of the algebra generated by the polynomials inin degrwees <= Sagbi_degree_bound.

  If sorting is set, the computed elements are degrevlex sorted before a round of the algorithm. The optional parameter verb sets the terminal output. Default is 1 = on.

  The return value has a second integer component. Its possible values are: 0, if the full Sagbi basis has not been reached, 1 if this is unknown, and 2 if the full Sagbi basis has been computed.

Example:

    LIB "sagbiNormaliz0.lib";
    ring R = 0, (x,y,z),dp;
    ideal P = x^6+y^6+z^6, x^7+y^7+z^7, x^8+y^8+z^8;
    ideal Q;
    int success;
    // degree bound 40, no sorting, no terminal output
    (Q,success) = sagbiByDegree(P,40,0,0);
    lead(Q);
    ==> _[1]=x6
    ==> _[2]=x7
    ==> _[3]=x8
    ==> _[4]=x8y6
    ==> _[5]=x18y6
    ==> _[6]=x23y7
    ==> _[7]=x25y7
    "Note: success = 1 <==> Unknown whether complete";
    ==> Note: success = 1 <==> Unknown whether complete
    "success",success;
    ==> success 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.